Name: python-async
Version: 0.6.2
Release: %mkrel 3
Summary: A framework to process interdependent tasks in a pool of workers
Group: Development/Python
License: BSD
URL: https://github.com/gitpython-developers/async
Source: http://pypi.python.org/packages/source/a/async/async-%{version}.tar.gz
BuildRequires: pythonegg(2)(setuptools)
BuildRequires: pythonegg(3)(setuptools)
BuildArch: noarch

%description
Async aims to make writing asyncronous processing easier. It provides a
task-graph with interdependent tasks that communicate using blocking channels,
allowing to delay actual computations until items are requested. Tasks will
automatically be distributed among 0 or more threads for the actual
computation.

%package -n python3-async
Summary: A framework to process interdependent tasks in a pool of workers
Group: Development/Python

%description -n python3-async
Async aims to make writing asyncronous processing easier. It provides a
task-graph with interdependent tasks that communicate using blocking channels,
allowing to delay actual computations until items are requested. Tasks will
automatically be distributed among 0 or more threads for the actual
computation.

%prep
%setup -qn async-%{version}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files
%doc AUTHORS
%{python_sitelib}/*

%files -n python3-async
%doc AUTHORS
%{python3_sitelib}/*


%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.6.2-3.mga6
+ Revision: 970674
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 0.6.2-2.mga6
+ Revision: 887510
- rebuild for python 3.5

* Wed Sep 09 2015 fwang <fwang> 0.6.2-1.mga6
+ Revision: 874537
- noarch package now
- update doc file list
- 0.6.2

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-8.mga5
+ Revision: 749489
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.1-7.mga5
+ Revision: 728080
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1-6.mga5
+ Revision: 687892
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6.1-4.mga4
+ Revision: 542953
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.1-3.mga4
+ Revision: 498131
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.6.1-2.mga3
+ Revision: 378474
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 20 2011 fwang <fwang> 0.6.1-1.mga2
+ Revision: 126946
- imported package python-async

